Page MenuHomePhabricator

PluggableAuth should complain if $wgPluggableAuth_Class does not resolve to a loadable class
Closed, ResolvedPublic

Description

Right now, the login page just displays a misleading error message: "The supplied credentials are not associated with any user on this wiki."

Event Timeline

cicalese triaged this task as Medium priority.Apr 12 2020, 10:23 PM
cicalese moved this task from Backlog to Issue on the User-Cicalese board.

Change 754121 had a related patch set uploaded (by Cicalese; author: Cicalese):

[mediawiki/extensions/PluggableAuth@master] Report error when $wgPluggableAuth_Class is not a loadable class

https://gerrit.wikimedia.org/r/754121

Change 754121 merged by jenkins-bot:

[mediawiki/extensions/PluggableAuth@master] Report error when $wgPluggableAuth_Class is not a loadable class

https://gerrit.wikimedia.org/r/754121